### Class

# Gimp Display

#### Description [src]

    class Gimp.Display : GObject.Object {
      parent_instance: GObject,
      priv: GimpDisplayPrivate*
    }

Functions to create, delete and flush displays (views) on an image.

#### Ancestors

- GObject

#### Constructors

###### gimp_display_new

Create a new display for the specified image.

#### Functions

###### gimp_display_get_by_id

Returns a `GimpDisplay` representing `display_id`.

Available since: 3.0

###### gimp_display_id_is_valid

Returns TRUE if the display ID is valid.

Available since: 3.0

###### gimp_display_name

Returns the display to be used for plug-in windows.

#### Instance methods

###### gimp_display_delete

Delete the specified display.

###### gimp_display_get_id

No description available.

Available since: 3.0

###### gimp_display_get_window_handle

Get a handle to the native window for an image display.

Available since: 2.4

###### gimp_display_is_valid

Returns TRUE if the display is valid.

Available since: 2.4

###### gimp_display_present

Present the specified display.

Available since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gimp.Display:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpDisplayClass {
      GObjectClass parent_class;
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`_gimp_reserved1`

    void (* _gimp_reserved1) (
    void
      )

| No description available.

`_gimp_reserved2`

    void (* _gimp_reserved2) (
    void
      )

| No description available.

`_gimp_reserved3`

    void (* _gimp_reserved3) (
    void
      )

| No description available.

`_gimp_reserved4`

    void (* _gimp_reserved4) (
    void
      )

| No description available.

`_gimp_reserved5`

    void (* _gimp_reserved5) (
    void
      )

| No description available.

`_gimp_reserved6`

    void (* _gimp_reserved6) (
    void
      )

| No description available.

`_gimp_reserved7`

    void (* _gimp_reserved7) (
    void
      )

| No description available.

`_gimp_reserved8`

    void (* _gimp_reserved8) (
    void
      )

| No description available.